> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a statement

> Gets a full statement by its ID.




## OpenAPI

````yaml openapi-v1.json get /statements/{statement_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /statements/{statement_id}:
    summary: Statements
    get:
      tags:
        - Statements
      summary: Get a statement
      description: |
        Gets a full statement by its ID.
      operationId: getStatement
      parameters:
        - $ref: '#/components/parameters/statement_id'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/statement'
          description: statement
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    statement_id:
      description: The unique identifier of a statement
      in: path
      name: statement_id
      required: true
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        format: uuid
        type: string
  schemas:
    statement:
      discriminator:
        mapping:
          CHARGE_SECURED:
            $ref: '#/components/schemas/charge_secured_statement'
          CHARGE_UNSECURED:
            $ref: '#/components/schemas/charge_unsecured_statement'
          CREDIT_CARD:
            $ref: '#/components/schemas/credit_card_statement'
          DEPOSIT:
            $ref: '#/components/schemas/depository_statement'
          LINE_OF_CREDIT:
            $ref: '#/components/schemas/line_of_credit_statement'
        propertyName: statement_type
      oneOf:
        - $ref: '#/components/schemas/depository_statement'
        - $ref: '#/components/schemas/line_of_credit_statement'
        - $ref: '#/components/schemas/charge_unsecured_statement'
        - $ref: '#/components/schemas/charge_secured_statement'
        - $ref: '#/components/schemas/credit_card_statement'
      title: Statement
    charge_secured_statement:
      allOf:
        - properties:
            credit_summary:
              $ref: '#/components/schemas/credit_summary'
            security_account_summary:
              $ref: '#/components/schemas/security_account_summary'
          required:
            - credit_summary
            - security_account_summary
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a charge secured account
      title: Charge Secured Statement
    charge_unsecured_statement:
      allOf:
        - properties:
            credit_summary:
              $ref: '#/components/schemas/credit_summary'
          required:
            - credit_summary
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a charge unsecured account
      title: Charge Unsecured Statement
    credit_card_statement:
      allOf:
        - properties:
            credit_summary:
              $ref: '#/components/schemas/credit_summary'
          required:
            - credit_summary
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a credit card account
      title: Credit Card Statement
    depository_statement:
      allOf:
        - properties:
            saving_summary:
              $ref: '#/components/schemas/saving_summary'
          required:
            - saving_summary
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a depository account
      title: Depository Statement
    line_of_credit_statement:
      allOf:
        - properties:
            credit_summary:
              $ref: '#/components/schemas/credit_summary'
          required:
            - credit_summary
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a line of credit account
      title: Line of Credit Statement
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    credit_summary:
      description: >-
        A summary of the accrued interest for the credit account in the current
        period.
      properties:
        amount_over_limit:
          description: >-
            The portion of the posted account balance that exceeds the account's
            credit limit, in ISO 4217 minor currency units.
          example: 100000
          format: int64
          type: integer
        amount_past_due:
          description: >
            Any outstanding balance from a previous statement for this account
            in ISO 4217 minor currency units.
          example: 100000
          format: int64
          type: integer
        apr:
          description: The annual percentage rate of the credit account, in basis points.
          format: int64
          type: integer
        balance_for_interest:
          description: >-
            Balance on which interest is computed during the time interval
            covered by the statement.
          format: int64
          type: integer
        credit_limit:
          description: >-
            The credit limit of the credit account, in ISO 4217 minor currency
            units. Not applicable for charge secured accounts.
          format: int64
          type: integer
        disclosure:
          description: A suggested regulatory disclosure to display on the statement.
          example: >-
            We have told the credit bureau(s) about a late payment, missed
            payment or other default on your account. This information may be
            reflected in your credit report.
          type: string
        disputed_balance:
          description: >-
            The disputed balance on the credit account in ISO 4217 minor
            currency units.
          format: int64
          type: integer
        fees:
          description: >-
            The total fees charged on the credit account in ISO 4217 minor
            currency units during the time interval covered by the statement.
          format: int64
          type: integer
        fees_ytd:
          description: >-
            The total fees charged on the credit account in ISO 4217 minor
            currency units for the year to date.
          format: int64
          type: integer
        interest:
          description: >-
            The total interest charged on the credit account in ISO 4217 minor
            currency units during the time interval covered by the statement.
          format: int64
          type: integer
        interest_ytd:
          description: >-
            The total interest charged on the credit account in ISO 4217 minor
            currency units for the year to date.
          format: int64
          type: integer
        is_past_due:
          description: Whether or not the credit account is past due on payment.
          type: boolean
        last_payment_date:
          description: The date of the last payment received.
          format: date
          type: string
        minimum_payment_due:
          description: >-
            The minimum payment amount due by the payment due date in ISO 4217
            minor currency units.
          format: int64
          type: integer
        payment_due:
          description: >-
            The total amount due by the payment due date in ISO 4217 minor
            currency units.
          format: int64
          type: integer
        payment_due_date:
          description: The date the next payment is due.
          format: date
          type: string
        payments_received:
          description: The sum of all payments received in ISO 4217 minor currency units.
          format: int64
          type: integer
      title: Credit Summary
      type: object
    security_account_summary:
      description: A summary for the security account backing the credit account.
      properties:
        account_id:
          description: The unique identifier of the backing account.
          format: uuid
          type: string
        account_number:
          description: Account number of the backing account.
          type: string
        account_type:
          description: |
            The type of the account. It refers to the backing account.
          type: string
        apy:
          description: >
            The annual percentage yield (APY) for the security account for this
            statement period, in basis points. For example, an APY of 5.5% will
            display as 550.
          example: 550
          format: int64
          type: integer
        closing_balance:
          description: >-
            The security account balance at the end of the statement period, in
            ISO 4217 minor currency units. For example, $1,000 USD will be
            displayed as 100000.
          example: 100000
          format: int64
          type: integer
        disclosure:
          type: string
        interest:
          description: >
            The total interest earned by the security account for this statement
            period in ISO 4217 minor currency units. For example, $1.50 USD of
            interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_previous_month:
          description: >
            The total interest earned by the security account in the previous
            statement period in ISO 4217 minor currency units. For example,
            $1.50 USD of interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_previous_year:
          description: >
            The total interest earned by the security account in the previous
            year in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
        interest_ytd:
          description: >
            The total interest earned by the security account for this year to
            date in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
        opening_balance:
          description: >-
            The security account balance at the start of the statement period,
            in ISO 4217 minor currency units. For example, $1,000 USD will be
            displayed as 100000.
          example: 100000
          format: int64
          type: integer
      title: Security Account Summary
      type: object
    base_statement:
      allOf:
        - $ref: '#/components/schemas/statement_summary'
        - properties:
            account_summary:
              $ref: '#/components/schemas/account_summary'
            authorized_signers:
              items:
                $ref: '#/components/schemas/person'
              readOnly: true
              type: array
            closing_balance:
              description: >-
                The account balance at the end of the statement period, in ISO
                4217 minor currency units.
              format: int64
              type: integer
            customer_service_details:
              $ref: '#/components/schemas/customer_service_details'
            disclosure:
              type: string
            exclude_jit_transactions:
              default: false
              description: Ignore "JIT funding" transactions when generating a statement
              example: false
              type: boolean
            include_child_transactions:
              default: false
              description: >-
                Include transactions from sub-accounts when generating a
                statement
              example: false
              type: boolean
            joint_account_holders:
              items:
                $ref: '#/components/schemas/person'
              readOnly: true
              type: array
            opening_balance:
              description: >-
                The account balance at the start of the statement period, in ISO
                4217 minor currency units.
              format: int64
              type: integer
            pdf_document_id:
              description: The ID of the uploaded PDF document in docstore
              format: uuid
              readOnly: true
              type: string
            primary_account_holder_business:
              $ref: '#/components/schemas/business'
            primary_account_holder_personal:
              $ref: '#/components/schemas/person'
            statement_type:
              $ref: '#/components/schemas/statement_type'
            total_transactions:
              description: |
                The total number of transactions for this statement period.
              format: int64
              type: integer
          required:
            - exclude_jit_transactions
            - include_child_transactions
            - statement_type
          type: object
      type: object
    saving_summary:
      description: >-
        A summary of the accrued interest for the saving account in the current
        period
      properties:
        accrual_days:
          description: >
            The number of days for which interest was accrued. In most cases
            this will match the number of days in the billing period, but may be
            less if an account was closed part way through the period.
          format: int32
          type: integer
        apy:
          description: >
            The annual percentage yield (APY) for this statement period, in
            basis points. For example, an APY of 5.5% will display as 550.
          example: 550
          type: integer
        interest_earned:
          description: >
            The total interest earned by the depository account for this
            statement period in ISO 4217 minor currency units. For example,
            $1.50 USD of interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_earned_previous_month:
          description: >
            The total interest earned by the depository account in the previous
            statement period in ISO 4217 minor currency units. For example,
            $1.50 USD of interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_earned_previous_year:
          description: >
            The total interest earned by the depository account in the previous
            year in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
        interest_earned_ytd:
          description: >
            The total interest earned by the depository account for this year to
            date in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
      title: Saving Summary
      type: object
    statement_summary:
      properties:
        account_id:
          description: The unique identifier of the account the statement belongs to
          format: uuid
          readOnly: true
          type: string
        billing_period_id:
          description: The billing period this statement corresponds to
          format: uuid
          readOnly: true
          type: string
        credit_summary:
          $ref: '#/components/schemas/credit_summary'
        end_date:
          description: >-
            The date indicating the ending of the time interval covered by the
            statement
          format: date
          readOnly: true
          type: string
        id:
          description: statement ID
          format: uuid
          readOnly: true
          type: string
        issue_date:
          description: The date when the statement has been issued
          format: date
          readOnly: true
          type: string
        saving_summary:
          $ref: '#/components/schemas/saving_summary'
        security_account_summary:
          $ref: '#/components/schemas/security_account_summary'
        start_date:
          description: >-
            The date indicating the beginning of the time interval covered by
            the statement
          format: date
          readOnly: true
          type: string
        statement_type:
          $ref: '#/components/schemas/statement_type'
      title: Statement
      type: object
    account_summary:
      properties:
        account_number:
          description: Account number
          type: string
        account_status:
          description: Account Status
          type: string
        account_type:
          description: The type of the account.
          type: string
        balance_ceiling:
          properties:
            balance:
              description: >-
                Maximum balance in the account's currency. Unit in ISO 4217
                minor currency units.
              format: int64
              type: integer
          type: object
        balance_floor:
          properties:
            balance:
              description: >-
                Minimum balance in the account's currency. Unit in ISO 4217
                minor currency units.
              format: int64
              type: integer
          type: object
        creation_time:
          description: Account creation time
          format: date-time
          type: string
        currency:
          description: >-
            Account currency or account settlement currency. ISO 4217 alphabetic
            currency code. Default USD
          example: USD
          pattern: ^[A-Z]{3}$
          type: string
        customer_type:
          description: Customer type
          type: string
        financial_institution:
          $ref: '#/components/schemas/financial_institution'
        id:
          description: The unique identifier of the account the statement belongs to
          format: uuid
          type: string
        last_updated_time:
          description: Account last modification time
          format: date-time
          type: string
        nickname:
          description: User provided account nickname
          type: string
      title: Account Summary
      type: object
    person:
      properties:
        creation_time:
          format: date-time
          type: string
        first_name:
          type: string
        id:
          format: uuid
          type: string
        last_name:
          type: string
        last_updated_time:
          format: date-time
          type: string
        middle_name:
          type: string
        relationship_type:
          type: string
      title: Person
      type: object
    customer_service_details:
      description: >-
        The customer service details of the fintech partner, e.g. phone number,
        email address, etc.
      properties:
        address:
          $ref: '#/components/schemas/address1'
        email:
          description: The customer service email address
          type: string
        phone_number:
          description: The customer service phone number
          type: string
      title: Customer Service Details
      type: object
    business:
      properties:
        creation_time:
          format: date-time
          type: string
        ein:
          type: string
        email:
          type: string
        entity_name:
          type: string
        formation_date:
          format: date
          type: string
        formation_state:
          type: string
        id:
          format: uuid
          type: string
        last_updated_time:
          format: date-time
          type: string
        phone_number:
          type: string
        status:
          type: string
        structure:
          type: string
        trade_names:
          items:
            type: string
          type: array
        verification_last_run:
          format: date-time
          type: string
        verification_status:
          type: string
      title: Business
      type: object
    statement_type:
      description: The type of statement
      enum:
        - CHARGE_SECURED
        - CHARGE_UNSECURED
        - CREDIT_CARD
        - DEPOSIT
        - LINE_OF_CREDIT
      title: Statement Type
      type: string
      x-enumDescriptions:
        CHARGE_SECURED: Secured charge card account statement (e.g. for Smart Charge Cards)
        CHARGE_UNSECURED: Unsecured charge card account statement (e.g. for Smart Charge Cards)
        CREDIT_CARD: Credit card account statement
        DEPOSIT: Deposit account statement (e.g. for CHECKING or SAVING accounts)
        LINE_OF_CREDIT: Line of Credit account statement
    financial_institution:
      properties:
        legal_address:
          $ref: '#/components/schemas/address1'
        name:
          type: string
        phone_number:
          type: string
      title: Financial Institution
      type: object
    address1:
      properties:
        address_line_1:
          type: string
        address_line_2:
          type: string
        city:
          type: string
        country_code:
          type: string
        postal_code:
          type: string
        state:
          type: string
      title: Address
      type: object
  responses:
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````